This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 205022 - Sendmail 8.13.7-2: CVE-2006-4434: remote DOS vulnerability
Sendmail 8.13.7-2: CVE-2006-4434: remote DOS vulnerability
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
http://www.sendmail.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-02 11:16 EDT by Gilbert Sebenste
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 04:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gilbert Sebenste 2006-09-02 11:16:13 EDT
Description of problem: Use-after-free vulnerability in Sendmail before 8.13.8 
allows remote attackers to cause a denial of service (crash) via a 
long "header line", which causes a previously freed variable to be referenced.

Version-Release number of selected component (if applicable): 8.13.7-2 and 
prior


How reproducible: Always


Steps to Reproduce:
1. Use sendmail!
2. Attack using flaw
3. 
  
Actual results: Sendmail processes craash on DOS.


Expected results: Sendmail shouldn't do that!


Additional info: Patch is available at www.sendmail.org.
8.13.8-1 is in Rawhide now, but we need an update for FC4/FC5.
Comment 1 Florian La Roche 2007-01-23 04:49:25 EST
Update is out, so closing this.

regards,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.